Class | Sass::Engine::Line
In: | lib/sass/engine.rb
Parent: | Struct.new(:text, :tabs, :index, :offset, :filename, :children)

A line of Sass code.

`text`: `String` : The text in the line, without any whitespace at the beginning or end.

`tabs`: `Fixnum` : The level of indentation of the line.

`index`: `Fixnum` : The line number in the original document.

`offset`: `Fixnum` : The number of bytes in on the line that the text begins.

      This ends up being the number of bytes of leading whitespace.

`filename`: `String` : The name of the file in which this line appeared.

`children`: `Array<Line>` : The lines nested below this one.

### Methods

comment?

### Public Instance methods

comment?()

[Source]

        # File lib/sass/engine.rb, line 78
    78:       def comment?
    79:         text[0] == COMMENT_CHAR && (text[1] == SASS_COMMENT_CHAR || text[1] == CSS_COMMENT_CHAR)
    80:       end

[Validate]